Skip to content
Building an RPG with Unity 5.x Published by Packt
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
Chapter_02 Code files Oct 14, 2016
Chapter_03 Code files Oct 14, 2016
Chapter_04/Assets Code files Oct 14, 2016
Chapter_05 Code files Oct 14, 2016
Chapter_06 Code files Oct 14, 2016
Chapter_07
Chapter_08 Code files Oct 14, 2016
.gitattributes 🎪 Added .gitattributes & .gitignore files Oct 14, 2016
.gitignore 🎪 Added .gitattributes & .gitignore files Oct 14, 2016
LICENSE Create LICENSE Oct 14, 2016
README.md README updated Oct 14, 2016

README.md

#Building an RPG with Unity 5.x This is the code repository for Building an RPG with Unity 5.x, published by Packt. It contains all the supporting project files necessary to work through the book from start to finish. ##Instructions and Navigations All of the code is organized into folders. Each folder starts with a number followed by the application name. For example, Chapter02.

The code will look like the following:

A block of code is set as follows:
public void StartGame()
{
// NOTE: You should put in the name of the Scene
// that respresents your level 1
SceneManager.LoadScene("CH1_Awakening");
}

Chapter 1 provides a good background of what a role-playing game is.

Code files are present for chapter 2-8

  • Required software: All chapters require Unity 5.4 or above. You will also need an IDE for the editing of the C# code described in this book. This can be done using any text editor, but it is recommended to use Visual Studio on the Windows platform or Mono Develop/Code on Mac OS X.

  • Required OS: Windows 10 64-bit or above, or Mac OS X

  • Required hardware: Please see required hardware for running Unity

##Related Products

You can’t perform that action at this time.